[@algorandfoundation/algokit-utils](../README.md) / [types/app-arc56](../modules/types_app_arc56.md) / StructField

# Interface: StructField

[types/app-arc56](../modules/types_app_arc56.md).StructField

Information about a single field in a struct

## Table of contents

### Properties

- [name](types_app_arc56.StructField.md#name)
- [type](types_app_arc56.StructField.md#type)

## Properties

### name

• **name**: `string`

The name of the struct field

#### Defined in

[src/types/app-arc56.ts:456](https://github.com/algorandfoundation/algokit-utils-ts/blob/main/src/types/app-arc56.ts#L456)

___

### type

• **type**: `string` \| [`StructField`](types_app_arc56.StructField.md)[]

The type of the struct field's value

#### Defined in

[src/types/app-arc56.ts:458](https://github.com/algorandfoundation/algokit-utils-ts/blob/main/src/types/app-arc56.ts#L458)
